Subject: bug#16196: 24.3.50; Disable ding when scrolling

From: Stefan Monnier <[email-masked]>
Date: Sun, 22 Dec 2013 21:46:02 -0500

>> >  That'd be a serious change of behavior, so it
>> > should be discussed and/or users polled before we do that, I think.
>> Best make it an option then.  Does not require polling.
> I don't think an option will raise any objections.  Patches welcome.

Can be seen as a generalization of scroll-error-top-bottom.

I'm not opposed to such an option, but I'm not convinced that changing
the default behavior is a good idea: the general design of Emacs is that
we strive to make every command perform *something*, so when the user's
request ends up doing nothing, we signal an error to make it clear that
Emacs did obey the request.  Otherwise the lack of feedback can make the
user feel like Emacs is unresponsive.

        Stefan